routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

/**
 * All Admin Group Route 
*/
Route::group(['as' => 'admin.', 'prefix' => 'admin', 'namespace' => 'Admin'],  function() {
    // Admin Login and Logout
    Route::get('/login', 'Auth\LoginController@showLoginForm')->name('login'); 
    Route::post('/login', 'Auth\LoginController@login')->name('login.submit');
    Route::post('/logout', 'Auth\LoginController@adminLogout')->name('logout');
    // End 
    // Admin Dashboard
    Route::get('/', 'AdminController@index')->name('dashboard');
    // End 
    // Admin Profile
    Route::match(['get', 'patch'], '/profile','AdminController@profile')->name('profile');
    // End
    //Admin Setting 
    Route::get('setting/','SettingController@general')->name('setting');
    Route::get('setting/general/','SettingController@general')->name('setting.general');
    Route::get('setting/under-construction','SettingController@underConstruction')->name('setting.underconstruction');
    Route::post('setting/save/general','SettingController@save')->name('setting.general.save');
    Route::post('setting/save/underconstruction','SettingController@save')->name('setting.underconstruction.save');
    Route::get('setting/miscellaneous','SettingController@miscellaneous')->name('setting.miscellaneous');
    Route::post('setting/save/miscellaneous','SettingController@save')->name('setting.miscellaneous.save');
    //End

    // Media 
    Route::get('media/','MediaController@index')->name('media');
    Route::get('media/create','MediaController@create')->name('media.create');
    Route::post('media/store','MediaController@store')->name('media.store');
    Route::post('media/ckeditor','MediaController@ckditor_store')->name('media.ckeditor');
    Route::get('media/ckbrowse','MediaController@ckbrowse')->name('media.ckbrowse');
    Route::get('media/delete/{id}','MediaController@destroy')->name('media.delete');
    Route::post('media/delete-all','MediaController@deleteall')->name('media.delete.all');
    // end

    // Pages 
    Route::get('pages/','PageController@index')->name('pages');
    Route::get('page/create','PageController@create')->name('pages.create');
    Route::post('page/save','PageController@store')->name('pages.save');
    Route::get('page/edit/{id}','PageController@edit')->name('pages.edit');
    Route::post('page/update/{id}','PageController@update')->name('pages.update');
    Route::get('page/delete/{id}','PageController@destroy')->name('pages.delete');
    // End
    /**
     * Posts
     */
    Route::get('posts/','PostController@index')->name('posts');
    Route::get('post/create','PostController@create')->name('posts.create');
    Route::post('post/save','PostController@store')->name('posts.save');
    Route::get('post/edit/{id}','PostController@edit')->name('posts.edit');
    Route::post('post/update/{id}','PostController@update')->name('posts.update');
    Route::get('post/delete/{id}','PostController@destroy')->name('posts.delete');
    /**
     * End 
     */
    /**
     * Category
     */
    Route::get('categories/','CategoryController@index')->name('categories');
    Route::post('category/save','CategoryController@store')->name('categories.save');
    Route::get('category/edit/{id}','CategoryController@edit')->name('categories.edit');
    Route::post('category/update/{id}','CategoryController@update')->name('categories.update');
    Route::get('category/delete/{id}','CategoryController@destroy')->name('categories.delete');
    /**
     * End 
     */
    /**
     * Tags
     */
    Route::get('tags/','TagController@index')->name('tags');
    Route::post('tag/save','TagController@store')->name('tags.save');
    Route::get('tag/delete/{id}','TagController@destroy')->name('tags.delete');
    Route::get('tag/status/{id}','TagController@status')->name('tags.status');
    Route::post('tag/ajax','TagController@ajax')->name('tags.ajax');
    /**
     * End 
     */
    /**
     * Menus
     */
    Route::get('menus/','MenuController@index')->name('menus');
    Route::post('menu/save','MenuController@store')->name('menus.save');
    Route::get('menu/status/{id}','MenuController@status')->name('menus.status');
    Route::get('menu/edit/{id}','MenuController@edit')->name('menus.edit');
    Route::post('menu/update/{id}','MenuController@update')->name('menus.update');
    Route::get('menu/add-items/{id}','MenuController@addItem')->name('menus.additems');
    Route::post('menu/getdetails','MenuController@getMenuDetails')->name('menus.getdetail');
    Route::post('menu/items/save','MenuController@saveMenuItems')->name('menus.items.save');
    Route::get('menu/delete/{id}','MenuController@destroy')->name('menus.delete');
    /**
     * End 
     */

    /**
     * Admin User
     */
    Route::get('admin-users','AdminUsers@index')->name('adminusers');
    Route::get('admin-user/create','AdminUsers@create')->name('adminuser.create');
    Route::post('admin-user/save','AdminUsers@store')->name('adminuser.store');
    Route::get('admin-user/edit/{id}','AdminUsers@edit')->name('adminuser.edit');
    Route::post('admin-user/update/{id}','AdminUsers@update')->name('adminuser.update');
    Route::post('admin-user/special-permission/{id}','AdminUsers@specialPermission')->name('adminuser.special.permission');
    /**
     * End
     */
    /**
     * User
     */
    Route::get('users','UserController@index')->name('users');
    Route::get('user/create','UserController@create')->name('users.create');
    Route::post('user/store','UserController@store')->name('users.save');
    Route::get('user/edit/{id}','UserController@edit')->name('users.edit');
    Route::post('user/update/{id}','UserController@update')->name('users.update');
    /**
     * End
     */
    /**
     * Role
     */
    Route::get('roles','RoleController@index')->name('roles');
    Route::post('role/save','RoleController@store')->name('role.save');
    Route::get('role/edit/{id}','RoleController@edit')->name('role.edit');
    Route::post('role/update/{id}','RoleController@update')->name('role.update');
    Route::get('role/delete/{id}','RoleController@destroy')->name('role.delete');
    Route::post('role-add-to-permissions/{id}','RoleController@addRoleToPermissions')->name('roleToPermissions');
    /**
     * End 
     */
    /**
     * Permissions
     */
    Route::get('permissions','PermissionController@index')->name('permissions');
    Route::post('permission/save','PermissionController@store')->name('permission.save');
    Route::get('permission/edit/{id}','PermissionController@edit')->name('permission.edit');
    Route::post('permission/update/{id}','PermissionController@update')->name('permission.update');
    Route::get('permission/delete/{id}','PermissionController@destroy')->name('permission.delete');
    Route::post('permission-add-to-roles/{id}','PermissionController@addPermissionToRoles')->name('permissionToroles');
});
/**
 * End of Admin route
 */

// Route::get('/', function () {
//    dd();
// });
Route::get('/', 'PageController@index')->name('home-page');
// Route::get('/test', function () {
    
//     $a = Auth::guard('admin')->user();
//     $r = Userdata::get($a,'test');
//     dd($r);
// });
// Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

resources/views/elements/admin/sidebar.blade.php
<aside id="sidebar-left" class="sidebar-left">

    <div class="sidebar-header">
        <div class="sidebar-title">
            {{ __('Navigation') }}
        </div>
        <div class="sidebar-toggle hidden-xs" data-toggle-class="sidebar-left-collapsed" data-target="html" data-fire-event="sidebar-left-toggle">
            <i class="fa fa-bars" aria-label="Toggle sidebar"></i>
        </div>
    </div>

    <div class="nano has-scrollbar">
        <div class="nano-content" tabindex="0" style="right: -15px;">
            <nav id="menu" class="nav-main" role="navigation">
                @php
                    $route = Route::currentRouteName()
                @endphp
                <ul class="nav nav-main">
                    <li class="{!! active_tab_child('admin.dashboard',$route) !!}">
                        <a href="{{ route('admin.dashboard') }}">
                            <i class="fa fa-home" aria-hidden="true"></i>
                            <span>{{ __('Dashboard') }}</span>
                        </a>
                    </li>
                    <li class="nav-parent {!! active_tab($route,array('admin.posts','admin.posts.create','admin.posts.edit','admin.categories','admin.categories.edit','admin.tags')) !!}">
                        <a href="#">
                            <i class="fa fa-rss" aria-hidden="true"></i>
                            <span>{{ __('Posts') }}</span>
                        </a>
                        <ul class="nav nav-children">
                            <li class="{!! active_tab_child('admin.posts',$route) !!}"><a href="{{ route('admin.posts') }}">{{ __('List') }}</a></li>
                            <li class="{!! active_tab_child('admin.posts.create',$route) !!}"><a href="{{ route('admin.posts.create') }}">{{ __('Add') }}</a></li>
                            <li class="{!! active_tab_child('admin.categories',$route) !!}"><a href="{{ route('admin.categories') }}">{{ __('Categories') }}</a></li>
                            <li class="{!! active_tab_child('admin.tags',$route) !!}"><a href="{{ route('admin.tags') }}">{{ __('Tags') }}</a></li>
                        </ul>
                    </li>
                    {{-- @permitgroup('admin,list.media,test')
                    <h1>test</h1>
                    @endpermitgroup --}}
                    <li class="nav-parent {!! active_tab($route,array('admin.media','admin.media.create')) !!}">
                        <a href="#">
                            <i class="fa fa-picture-o" aria-hidden="true"></i>
                            <span>{{ __('Media') }}</span>
                        </a>
                        <ul class="nav nav-children">
                            <li class="{!! active_tab_child('admin.media',$route) !!}"><a href="{{ route('admin.media') }}">{{ __('List') }}</a></li>
                            <li class="{!! active_tab_child('admin.media.create',$route) !!}"><a href="{{ route('admin.media.create') }}">{{ __('Add') }}</a></li>
                        </ul>
                    </li>
                    <li class="nav-parent {!! active_tab($route,array('admin.pages','admin.pages.create','admin.pages.edit')) !!}">
                        <a href="#">
                            <i class="fa fa-copy" aria-hidden="true"></i>
                            <span>{{ __('Pages') }}</span>
                        </a>
                        <ul class="nav nav-children">
                            <li class="{!! active_tab_child('admin.pages',$route) !!}"><a href="{{ route('admin.pages') }}">{{ __('List') }}</a></li>
                            <li class="{!! active_tab_child('admin.pages.create',$route) !!}"><a href="{{ route('admin.pages.create') }}">{{ __('Add') }}</a></li>
                        </ul>
                    </li>
                    <li class="{!! active_tab($route,array('admin.menus','admin.menus.edit','admin.menus.additems')) !!}">
                        <a href="{{ route('admin.menus') }}">
                            <i class="fa fa-bars" aria-hidden="true"></i>
                            <span>{{ __('Menus') }}</span>
                        </a>
                    </li>
                    <li class="nav-parent {!! active_tab($route,array('admin.setting.general','admin.setting.underconstruction','admin.setting.miscellaneous')) !!}">
                        <a href="#">
                            <i class="fa fa-cogs" aria-hidden="true"></i>
                            <span>{{ __('Setting') }}</span>
                        </a>
                        <ul class="nav nav-children">
                            <li class="{!! active_tab_child('admin.setting.general',$route) !!}"><a href="{{ route('admin.setting.general') }}">{{ __('General') }}</a></li>
                            <li class="{!! active_tab_child('admin.setting.underconstruction',$route) !!}"><a href="{{ route('admin.setting.underconstruction') }}">{{ __('Under Construction') }}</a></li>
                            <li class="{!! active_tab_child('admin.setting.miscellaneous',$route) !!}"><a href="{{ route('admin.setting.miscellaneous') }}">{{ __('Miscellaneous') }}</a></li>
                        </ul>
                    </li>
                        {{-- @permitgroup('admin','list.adminuser','list.adminuser')
                        <li>Test</li>
                        @endpermitgroup --}}
                    <li class="nav-parent {!! active_tab($route,array('admin.adminusers','admin.adminuser.create','admin.adminuser.edit')) !!}">
                        <a href="#">
                            <i class="fa fa-user-secret" aria-hidden="true"></i>
                            <span>{{ __('Admin Users') }}</span>
                        </a>
                        <ul class="nav nav-children">
                            @permit('admin','list.adminuser')
                            <li class="{!! active_tab_child('admin.adminusers',$route) !!}"><a href="{{ route('admin.adminusers') }}">{{ __('List') }}</a></li>
                            @endpermit
                            @permit('admin','create.adminuser')
                            <li class="{!! active_tab_child('admin.adminuser.create',$route) !!}"><a href="{{ route('admin.adminuser.create') }}">{{ __('Add') }}</a></li>
                            @endpermit
                        </ul>
                    </li>
                    <li class="nav-parent {!! active_tab($route,array('admin.users','admin.users.create','admin.users.edit')) !!}">
                        <a href="#">
                            <i class="fa fa-users" aria-hidden="true"></i>
                            <span>{{ __('Users') }}</span>
                        </a>
                        <ul class="nav nav-children">
                            <li class="{!! active_tab_child('admin.users',$route) !!}"><a href="{{ route('admin.users') }}">{{ __('List') }}</a></li>
                            <li class="{!! active_tab_child('admin.users.create',$route) !!}"><a href="{{ route('admin.users.create') }}">{{ __('Add') }}</a></li>
                        </ul>
                    </li>
                    <li class="nav-parent {!! active_tab($route,array('admin.roles','admin.permissions','admin.role.edit','admin.permission.edit')) !!}">
                        <a href="#">
                            <i class="fa fa-shield" aria-hidden="true"></i>
                            <span>{{ __('ACL') }}</span>
                        </a>
                        <ul class="nav nav-children">



                            @permit('admin','list.role')
                            <li class="{!! active_tab_child('admin.roles',$route) !!}"><a href="{{ route('admin.roles') }}">{{ __('Roles') }}</a></li>
                            @endpermit
                            @permit('admin','list.permission')
                            <li class="{!! active_tab_child('admin.permissions',$route) !!}"><a href="{{ route('admin.permissions') }}">{{ __('Permissions') }}</a></li>
                            @endpermit
                        </ul>
                    </li>

                </ul>
            </nav>




        </div>

        <script>
            // Maintain Scroll Position
            if (typeof localStorage !== 'undefined') {
                if (localStorage.getItem('sidebar-left-position') !== null) {
                    var initialPosition = localStorage.getItem('sidebar-left-position'),
                        sidebarLeft = document.querySelector('#sidebar-left .nano-content');

                    sidebarLeft.scrollTop = initialPosition;
                }
            }
        </script>


    <div class="nano-pane" style="opacity: 1; visibility: visible;"><div class="nano-slider" style="height: 33px; transform: translate(0px, 194px);">
    </div>
</div>
</div>

</aside>

resources/views/elements/admin/top-header.blade.php
@php
   $logo_ob = Setting::get('site_logo_id',true);
   
   
@endphp
    @if($logo_ob)
        @php
            $logo = $logo_ob->media()->first();
        @endphp
    
    @endif
   @if(isset($logo))
        @php
            $url = $logo->url;
            $alt = $logo->pivot->alt_text
        @endphp
       
   @else
        @php
         $url = asset('admin-design/assets/images/logo.png');
       $alt  = 'My Site';   
        @endphp
       
    @endif   
   

<header class="header">
    <div class="logo-container">
        <a href="{{ url('admin') }}" class="logo">
            <img src="{{ $url}}" width="45" height="45" alt="{{ $alt }}">
        </a>
        <div class="visible-xs toggle-sidebar-left" data-toggle-class="sidebar-left-opened" data-target="html" data-fire-event="sidebar-left-opened">
            <i class="fa fa-bars" aria-label="Toggle sidebar"></i>
        </div>
    </div>

    <!-- start: search & user box -->
    <div class="header-right">

 

        <div id="userbox" class="userbox">
            <a href="#" data-toggle="dropdown" aria-expanded="false">
                @php
                        $profile_img = Auth::guard('admin')->user()->media()->find(Userdata::get(Auth::guard('admin')->user(),'profile_image'));
                        if(isset($profile_img)):
                            
                            $url = $profile_img->url;
                            $alt = $profile_img->pivot->alt_text;
                        else :
                            $url = asset('admin-design/assets/images/!logged-user.jpg');
                            $alt = 'Default';
                        endif
                    @endphp
                <figure class="profile-picture">
                    <img src="{{ $url}}" alt="{{ $alt }}" class="img-circle" data-lock-picture="{{ $url }}">
                </figure>
                <div class="profile-info" data-lock-name="{{ Auth::guard('admin')->user()->name }}" data-lock-email="{{ Auth::guard('admin')->user()->email }}">
                    <span class="name"> {{ Auth::guard('admin')->user()->name }}</span>
                    <span class="role">{{ Auth::guard('admin')->user()->roles()->first()->name }}</span>
                </div>

                <i class="fa custom-caret"></i>
            </a>

            <div class="dropdown-menu">
                <ul class="list-unstyled">
                    <li class="divider"></li>
                    <li>
                        <a role="menuitem" tabindex="-1" href="{{ route('admin.profile') }}"><i class="fa fa-user"></i> {{ __('My Profile') }}</a>
                    </li>
                    <li>
                        <a role="menuitem" tabindex="-1" href="{{ route('admin.logout') }}"  onclick="event.preventDefault();
                        document.getElementById('logout-form').submit();"><i class="fa fa-power-off"></i> {{ __('Logout') }}</a>
                        <form id="logout-form" action="{{ route('admin.logout') }}" method="POST" style="display: none;">
                            @csrf
                        </form>
                    </li>
                </ul>
            </div>
        </div>
    </div>
    <!-- end: search & user box -->
</header>